SIMSEARCH(1)

NAME
simsearch - simsearch

DESCRIPTION
usage: simsearch [-h] [-k K_NEAREST] [-t THRESHOLD] [-q QUERIES] [--NxN]

    [--hex-query HEX_QUERY] [--query-id QUERY_ID] [--in FORMAT] [-o FILENAME] [-c] [-b BATCH_SIZE] [--scan] [--memory] [--times] target_filename

Search an FPS file for similar fingerprints

  positional arguments:

target_filename
    target filename

  optional arguments:

-h, --help
    show this help message and exit

-k K_NEAREST, --k-nearest K_NEAREST
    select the k nearest neighbors (use 'all' for all neighbors)

-t THRESHOLD, --threshold THRESHOLD
    minimum similarity score threshold

-q QUERIES, --queries QUERIES
    filename containing the query fingerprints

--NxN
    use the targets as the queries, and exclude the selfsimilarity term

--hex-query HEX_QUERY
    query in hex

--query-id QUERY_ID
    id for the hex query

--in FORMAT
    input query format (default uses the file extension, else 'fps')

-o FILENAME, --output FILENAME
    output filename (default is stdout)

-c, --count
    report counts

-b BATCH_SIZE, --batch-size BATCH_SIZE
    batch size

--scan
    scan the file to find matches (low memory overhead)

--memory
    build and search an in-memory data structure (faster for multiple queries)

--times
    report load and execution times to stderr